SIGBLOCK(2)

NAME
sigblock - block signals

SYNOPSIS
#include <signal.h>
omask = sigblock(mask);
long omask, mask;
mask = sigmask(signum)
long mask;
int signum;

DESCRIPTION
This interface is made obsolete by: sigprocmask(2).

Sigblock causes the signals specified in mask to be added to the set of signals currently being blocked from delivery. Signals are blocked if the corresponding bit in mask is a 1; the macro sigmask is provided to construct the mask for a given signum.

It is not possible to block SIGKILL, SIGSTOP, or SIGCONT; this restriction is silently imposed by the system.

RETURN VALUE
The previous set of masked signals is returned.

SEE ALSO
kill(2), sigprocmask(2), sigaction(2), sigsetmask(2), sigsetops(2)

HISTORY
The sigblock function call appeared in 4.2BSD and has been deprecated.